Subject: RE: [Simple] authorization for presence

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 13 Jun 2001 01:51:29 -0400

> -----Original Message-----
> From: Theodore Havinis [mailto:[email-masked]]
> Sent: Tuesday, June 12, 2001 1:55 PM
> To: Jonathan Rosenberg; [email-masked]
> Subject: RE: [Simple] authorization for presence
> 
> AS>Right; as I said, its a matter of policy. Remember, there 
> are watchers at
> AS>two levels here. There are the set of folks who subscribed to my
> AS>presence.
> AS>Then, there are the set of folks who subscribed to changes in my
> AS>watcherinfo. That is, the set of folks that want to get 
> notified when
> AS>someone tries to subscribe to my presence. These two sets 
> of watchers are
> AS>not the same.
> AS>
> 
> I guess what confuses me is why do we mix together under the 
> mechanism of
> active/pending subscriptions (which is nice approach) with 
> the 'set of folks
> to get
> notified when someone tries to subscribe to my presence'. The 
> later is a
> separate application as far as I am concerned.
> ie I subscribe to an application (presentity) that monitors 
> Bob's watchers.

I am not understanding what you're saying here.

There is a server, and it knows about my presence. My presence is
effectively state that changes dynamically. When it changes, the subscribers
to that state get notified. That server has another piece of state, which is
the set of subscribers to my presence. Thats state changes dynamically too,
for example, when someone subscribes to my presence. Users can subscribe to
this other piece of state, "presence.watcherinfo", and they get notified
when it changes. 

The set of people subscribed to my presence is unrelated to the set of
people who are subscribed to presence.watcherinfo. Thus, the set of people
subscribed to my presence (the subscribers of the event "presence"), is not
the same as the set of people subscribed to my "presence.watcherinfo". The
set of people who subscribe to my presence affects the state of
presence.watcherinfo, by definition, but thats the only coupling.

Does that clarify it?

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

---

From: "Theodore Havinis" <[email-masked]>
Date: Wed, 13 Jun 2001 23:47:57 -0700

TH>-----Original Message-----
TH>From: Jonathan Rosenberg [mailto:[email-masked]]
TH>Sent: Tuesday, June 12, 2001 10:51 PM
TH>To: 'Theodore Havinis'; Jonathan Rosenberg;
TH>[email-masked]
TH>Subject: RE: [Simple] authorization for presence
TH>
TH>
TH>
TH>
TH>
TH>
TH>> -----Original Message-----
TH>> From: Theodore Havinis [mailto:[email-masked]]
TH>> Sent: Tuesday, June 12, 2001 1:55 PM
TH>> To: Jonathan Rosenberg; [email-masked]
TH>> Subject: RE: [Simple] authorization for presence
TH>>
TH>> AS>Right; as I said, its a matter of policy. Remember, there
TH>> are watchers at
TH>> AS>two levels here. There are the set of folks who subscribed to my
TH>> AS>presence.
TH>> AS>Then, there are the set of folks who subscribed to changes in my
TH>> AS>watcherinfo. That is, the set of folks that want to get
TH>> notified when
TH>> AS>someone tries to subscribe to my presence. These two sets
TH>> of watchers are
TH>> AS>not the same.
TH>> AS>
TH>>
TH>> I guess what confuses me is why do we mix together under the
TH>> mechanism of
TH>> active/pending subscriptions (which is nice approach) with
TH>> the 'set of folks
TH>> to get
TH>> notified when someone tries to subscribe to my presence'. The
TH>> later is a
TH>> separate application as far as I am concerned.
TH>> ie I subscribe to an application (presentity) that monitors
TH>> Bob's watchers.
TH>
TH>I am not understanding what you're saying here.
TH>
TH>There is a server, and it knows about my presence. My presence is
TH>effectively state that changes dynamically. When it changes, the
TH>subscribers
TH>to that state get notified. That server has another piece of
TH>state, which is
TH>the set of subscribers to my presence. Thats state changes
TH>dynamically too,
TH>for example, when someone subscribes to my presence. Users can
TH>subscribe to
TH>this other piece of state, "presence.watcherinfo", and they get notified
TH>when it changes.
TH>
TH>The set of people subscribed to my presence is unrelated to the set of
TH>people who are subscribed to presence.watcherinfo. Thus, the set
TH>of people
TH>subscribed to my presence (the subscribers of the event
TH>"presence"), is not
TH>the same as the set of people subscribed to my
TH>"presence.watcherinfo". The
TH>set of people who subscribe to my presence affects the state of
TH>presence.watcherinfo, by definition, but thats the only coupling.
TH>
TH>Does that clarify it?

Thanks.

Yes it does clarify it. The confusing part is why do we bother about the
second state from the standards point of view. Quoting from above "...That
server has another piece of state, which is the set of subscribers to my
presence. That state changes dynamically too, for example, when someone
subscribes to my presence. Users can subscribe to this other piece of state,
"presence.watcherinfo", and they get notified when it changes..."

Your description, quoting from above again "...There is a server, and it
knows about my presence. My presence is effectively state that changes
dynamically. When it changes, the
subscribers to that state get notified... " That statement should be enough
as far as I am concerned.

Its implicit that we can have sub-packages associated with a presentity.

Actually I tend to see 'presence.watcherinfo' as a presentity itself.

Kind Rgds
Theodore

TH>
TH>-Jonathan R.
TH>
TH>---
TH>Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
TH>Chief Scientist                             First Floor
TH>dynamicsoft                                East Hanover, NJ 07936
TH>[email-masked]                     FAX:   (973) 952-5050
TH>http://www.jdrosen.net                      PHONE: (973) 952-5000
TH>http://www.dynamicsoft.com
TH>
TH>